org.springframework.batch.sample.domain.trade.internal

## Class CustomerCreditUpdatePreparedStatementSetter

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.internal.CustomerCreditUpdatePreparedStatementSetter

- All Implemented Interfaces:
    ItemPreparedStatementSetter<CustomerCredit>

      public class CustomerCreditUpdatePreparedStatementSetter
      extends java.lang.Object
      implements ItemPreparedStatementSetter<CustomerCredit>

  Author:
    Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.math.BigDecimal` | `FIXED_AMOUNT`
    `static java.lang.String` | `QUERY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomerCreditUpdatePreparedStatementSetter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setValues(CustomerCredit customerCredit, java.sql.PreparedStatement ps)` Set parameter values on the given PreparedStatement as determined from the provided item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIXED_AMOUNT

          public static final java.math.BigDecimal FIXED_AMOUNT

    - #### QUERY

          public static final java.lang.String QUERY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CustomerCreditUpdatePreparedStatementSetter

          public CustomerCreditUpdatePreparedStatementSetter()

  - ### Method Detail

    - #### setValues

          public void setValues(CustomerCredit customerCredit,
                                java.sql.PreparedStatement ps)
                         throws java.sql.SQLException

      Description copied from interface: `ItemPreparedStatementSetter`
      Set parameter values on the given PreparedStatement as determined from the provided item.
      Specified by:
        `setValues` in interface `ItemPreparedStatementSetter<CustomerCredit>`
        `ps` - the PreparedStatement to invoke setter methods on
      Throws:
        `java.sql.SQLException` - if a SQLException is encountered (i.e. there is no need to catch SQLException)